From 07d2015272d30d0beba477d6e8d2962d7c55402c Mon Sep 17 00:00:00 2001
From: Richard Guo <guofenglinux@gmail.com>
Date: Fri, 29 Mar 2024 17:04:18 +0800
Subject: [PATCH v1] Remove excessive trailing semicolons

---
 src/include/lib/radixtree.h                    | 2 +-
 src/test/modules/test_tidstore/test_tidstore.c | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/src/include/lib/radixtree.h b/src/include/lib/radixtree.h
index 5fe89134a5..6f36e8bfde 100644
--- a/src/include/lib/radixtree.h
+++ b/src/include/lib/radixtree.h
@@ -2499,7 +2499,7 @@ RT_REMOVE_CHILD_4(RT_RADIX_TREE * tree, RT_PTR_ALLOC * parent_slot, RT_CHILD_PTR
 	}
 	else
 	{
-		int			deletepos = slot - n4->children;;
+		int			deletepos = slot - n4->children;
 
 		Assert(deletepos >= 0);
 		Assert(n4->chunks[deletepos] == chunk);
diff --git a/src/test/modules/test_tidstore/test_tidstore.c b/src/test/modules/test_tidstore/test_tidstore.c
index 3d4af77dda..32c6c477b7 100644
--- a/src/test/modules/test_tidstore/test_tidstore.c
+++ b/src/test/modules/test_tidstore/test_tidstore.c
@@ -199,7 +199,7 @@ check_set_block_offsets(PG_FUNCTION_ARGS)
 	TidStoreIterResult *iter_result;
 	int			num_iter_tids = 0;
 	int			num_lookup_tids = 0;
-	BlockNumber prevblkno = 0;;
+	BlockNumber prevblkno = 0;
 
 	/* lookup each member in the verification array */
 	for (int i = 0; i < items.num_tids; i++)
-- 
2.31.0

